Bug 150760 - www/blogsum shouldn't be marked as requiring apache 1.3
Summary: www/blogsum shouldn't be marked as requiring apache 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-20 17:30 UTC by Rebecca Cran
Modified: 2010-09-22 05:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rebecca Cran freebsd_committer 2010-09-20 17:30:01 UTC
www/blogsum is marked as requiring apache 1.3 but it does work with 2.x too, as shown in pkg-message:

4)  Edit the example httpd-blogsum.conf (httpd2-blogsum.conf if you are using
    apache2+) and enable it for your site:

        $ cp /usr/local/www/blogsum/examples/httpd-blogsum.conf /usr/local/etc/apache22/conf
        or
        $ cp /usr/local/www/blogsum/examples/httpd2-blogsum.conf /usr/local/etc/apache22/conf

Fix: 

-USE_APACHE=    1.3
+USE_APACHE=    1.3+

 .include <bsd.port.pre.mk>
 .include "${PORTSDIR}/Mk/bsd.apache.mk"--3jxfbIrAgixbQWPQELIxaGdwr5brRCnm7Ph2GOGX0aCLpLVf
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.old        2010-09-20 17:27:14.000000000 +0100
+++ Makefile    2010-09-20 17:27:20.000000000 +0100
@@ -23,7 +23,7 @@
 NO_BUILD=      yes
 USE_PERL5_RUN= yes
How-To-Repeat: Install www/blogsum. It will require apache 1.3 whereas it does work with 2.2.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-20 17:30:04 UTC
Maintainer of www/blogsum,

Please note that PR ports/150760 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150760

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-20 17:30:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-20 22:58:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-21 20:56:24 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 5 Philip M. Gollucci freebsd_committer 2010-09-22 05:47:31 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter service freebsd_committer 2010-09-22 05:49:19 UTC
pgollucci    2010-09-22 04:49:13 UTC

  FreeBSD ports repository

  Modified files:
    www/blogsum          Makefile 
  Log:
  - works with 1.3+
  
  PR:             ports/150760
  Submitted by:   Bruce Cran <bruce@cran.org.uk>
  Approved by:    jhuldtgren@gmail.com (maintainer)
  
  Revision  Changes    Path
  1.4       +1 -1      ports/www/blogsum/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"